Page updated: 06/09/2004
About the website

                        Valid XHTML 1.0!

 
gLite 3.0

glite-SE_dpm_oracle - Update to version 3.0.11-0

Date 14.05.07
Priority High

Description


There is presently a known issue with this update of LFC/DPM. We recommend to either not update your LFC/DPM for the moment or apply the following workaround (also if you have already updated your system):
 

    mkdir -p /home/glbuild/GLITE_3_0_3_RC1_DATA/stage/etc
    ln -s /opt/lcg/etc/lcgdm-mapfile \
          /home/glbuild/GLITE_3_0_3_RC1_DATA/stage/etc

We will release a fix for this problem as soon as possible.

lcg-vomscerts

Important note: The update of lcg-vomscerts has a new certificate for lcg-voms.cern.ch. The current certificate will expire on May 29.

glite-yaim

This is an early release of the new modular release series and it enables the new FTS and FTA configuration. The new configuration targets FTA2 and FTS2 have to be used. That is, yaim should be run with options -n FTS2 and/or -n FTA2.

Other new features of this update are the following:

  • In site-info.def the VOAGENT_PYTHON agent type should be replaced with VOAGENT. All the defined typdefault variables should be changed correspondingly.
  • Two new YAIM variables are introduced. They are not compulsory to be set and have default values as in the following:
    # The DPM db name. Default is dpm_db
    DPM_DB=dpm_db
    # The DPNS db name. Default is cns_db
    DPNS_DB=cns_db
    This is to allow the usage of the same remote DB server serving several DPM node.
Other important issues when upgrading glite-yaim are the following:
  • Important: apt-autoupdate not supported, i.e. do the upgrade and the reconfiguration in one process. As always, it is recommended to do a DB backup before the upgrade.
  • Important: After the reconfiguration, DPM will use BDII as information provider instead of MDS. Because of this, the connect string and the port number on the site-BDII has to be changed as follows:
    • from "mds-vo-name=local,o=grid"
      to "mds-vo-name=resource,o=grid"
    • and from 2135 to 2170 respectively.
    Reconfigure and restart your site-BDII.

    Note: As a side effect of this reconfiguration the lcg-cr command will not work if your LCG_GFAL_INFOSYS variable is pointing to the DPM's infosys instead of a top-level BDII. This is not a bug, just a consequence worth to mention.
LFC/DPM

The upgrage of the LFC/DPM service (1.6.4-3) contains among others the following important new features and bug fixes:

  • Added database migration scripts for DPM secondary groups support with the following new features:
    - allow in srmMv to move a file to another directory giving the directory name as target
    - if the free space in a pool or filesystem was already negative, it was still possible to reserve space
    - report fileLocality in srmLs output (WLCG decision)
    - return an error if attempt to extend lifetime of an already expired TURL
    - python interface to DPNS
  • Fix garbage collector thresholds checks (was not working if poolfree space was negative, i.e. pool space overcommitted)
  • The new information provider is BDII, so node firewall need to be changed, furthermore site-BDII needs reconfiguration. (Please, see the glite-yaim update above as well.)
R-GMA client

This upgrade introduces new exceptions RGMABusyException and RGMANoWorkingReplicasException for R-GMA. These exceptions can be thrown in a future server versions of R-GMA and this update will enable rollout of clients that can handle this exception in readiness for a server update.

No action is required by users and the R-GMA clients will be working as before.


Please also have a look at the list of known issues.

Updated rpms

Name Version Full RPM name Description
DPM-client 1.6.4-3sec DPM-client-1.6.4-3sec.i386.rpm APIs and CLIs for the DPM/DPNS
DPM-gridftp-server 1.6.4-3sec DPM-gridftp-server-1.6.4-3sec.i386.rpm GridFTP server enabled to work with the Lightweight Disk Pool Manager - DPM
DPM-name-server-oracle 1.6.4-3sec DPM-name-server-oracle-1.6.4-3sec.i386.rpm DPNS Oracle Server
DPM-rfio-server 1.6.4-3sec DPM-rfio-server-1.6.4-3sec.i386.rpm DPM RFIO server
DPM-server-oracle 1.6.4-3sec DPM-server-oracle-1.6.4-3sec.i386.rpm DPM Oracle Server
DPM-srm-server-oracle 1.6.4-3sec DPM-srm-server-oracle-1.6.4-3sec.i386.rpm SRM Oracle Servers
glite-rgma-api-c 5.0.10-1 glite-rgma-api-c-5.0.10-1.i386.rpm C API for R-GMA
glite-rgma-api-cpp 5.0.15-1 glite-rgma-api-cpp-5.0.15-1.i386.rpm C++ API for R-GMA
glite-rgma-api-java 5.0.5-1 glite-rgma-api-java-5.0.5-1.noarch.rpm Java API for R-GMA
glite-rgma-api-python 5.0.12-1 glite-rgma-api-python-5.0.12-1.noarch.rpm Python API for R-GMA
glite-rgma-stubs-servlet-java 5.0.9-1 glite-rgma-stubs-servlet-java-5.0.9-1.noarch.rpm Java client implementation stubs for R-GMA
glite-SE_dpm_oracle 3.0.11-0 glite-SE_dpm_oracle-3.0.11-0.noarch.rpm gLite SE DPM Oracle node
glite-yaim 3.0.1-15 glite-yaim-3.0.1-15.noarch.rpm glite-yaim
lcg-dm-common 1.6.4-3sec lcg-dm-common-1.6.4-3sec.i386.rpm LCG Data Management common libraries and man pages.
lcg-vomscerts 4.5.0-1 lcg-vomscerts-4.5.0-1.noarch.rpm lcg-vomscerts

The RPMs can be updated using apt via

Service reconfiguration after update

Not needed.

Service restart after update

Not needed.

How to apply the fix

  1. Update the RPMs (see above)
  2. Update configuration (see above)
  3. Restart the service if necessary (see above)